org.eclnt.util.chart

## Class TimeBasedChart

- java.lang.Object
- - org.eclnt.util.chart.Chart<TimeBasedChartLine>
  - - org.eclnt.util.chart.TimeBasedChart

-     public class TimeBasedChart
      extends Chart<TimeBasedChartLine>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeBasedChart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<TimeBasedChartAnnotation>` | `getAnnotations()`
    `java.lang.String` | `getTimeZone()`
    `java.util.List<ChartYMarker>` | `getYmarkers()`
    `void` | `setAnnotations(java.util.List<TimeBasedChartAnnotation> annotations)`
    `void` | `setTimeZone(java.lang.String timeZone)`
    `void` | `setYmarkers(java.util.List<ChartYMarker> ymarkers)`

    - ### Methods inherited from class org.eclnt.util.chart.Chart

      `getAxisLowerBound, getAxisUpperBound, getId, getLines, getLineType, getName, getOwnYAxis, getShapesVisible, setAxisLowerBound, setAxisUpperBound, setId, setLines, setLineType, setName, setOwnYAxis, setShapesVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeBasedChart

          public TimeBasedChart()

  - ### Method Detail

    - #### getAnnotations

          public java.util.List<TimeBasedChartAnnotation> getAnnotations()

    - #### setAnnotations

          public void setAnnotations(java.util.List<TimeBasedChartAnnotation> annotations)

    - #### getYmarkers

          public java.util.List<ChartYMarker> getYmarkers()

    - #### setYmarkers

          public void setYmarkers(java.util.List<ChartYMarker> ymarkers)

    - #### getTimeZone

          public java.lang.String getTimeZone()

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

Copyright © CaptainCasa Gmbh. All Rights Reserved.